	.386
	.model	use32 small

	extrn exp2 : proc, allerr : proc
	public	_pow10
	.data
nm	db	"pow10",0

	.code


_pow10:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fild	dword ptr [ecx]
	fldl2t
	call	exp2
	lea	eax,[nm]
	sub	ecx,ecx
	call	allerr
	leave
	ret
	end